JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const styleGuide = await client.styleGuides.update('123e4567-e89b-12d3-a456-426614174000', {
content: [{ content: 'Use professional and clear language', heading: 'Tone' }],
});
console.log(styleGuide.data);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
style_guide = client.style_guides.update(
id="123e4567-e89b-12d3-a456-426614174000",
content=[{
"content": "Use professional and clear language",
"heading": "Tone",
}],
)
print(style_guide.data)curl --request PUT \
--url https://api.avidoai.com/v0/style-guides/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"content": [
{
"heading": "Tone",
"content": "Use professional and clear language",
"approved": true
}
]
}
'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org-123",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"content": [
{
"heading": "Tone",
"content": "Use professional and clear language",
"approved": true
}
]
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Style guide not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Style Guides
Update a style guide
Updates the content of an existing style guide.
PUT
/
v0
/
style-guides
/
{id}
JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const styleGuide = await client.styleGuides.update('123e4567-e89b-12d3-a456-426614174000', {
content: [{ content: 'Use professional and clear language', heading: 'Tone' }],
});
console.log(styleGuide.data);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
style_guide = client.style_guides.update(
id="123e4567-e89b-12d3-a456-426614174000",
content=[{
"content": "Use professional and clear language",
"heading": "Tone",
}],
)
print(style_guide.data)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
The unique identifier of the style guide
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Request body for updating a style guide
Show child attributes
Show child attributes
Response
Successfully updated style guide
Successful response containing the style guide data
A style guide for a specific application
Show child attributes
Show child attributes
⌘I